$active: 	  #07a;
$color-saturationuccess: 	  #069b5a;
$warning: 	  #fd9234;
$alert: 	  #dd4f43;
$disabled: 	  #999;

$color-states: (
  active:     $active,
  success:    $color-saturationuccess,
  warning:    $warning,
  alert:      $alert,
  disabled:   $disabled
);

$red-05: hsl(0, $color-saturation, 05);
$red-10: hsl(0, $color-saturation, 10);
$red-15: hsl(0, $color-saturation, 15);
$red-20: hsl(0, $color-saturation, 20);
$red-25: hsl(0, $color-saturation, 25);
$red-30: hsl(0, $color-saturation, 30);
$red-35: hsl(0, $color-saturation, 35);
$red-40: hsl(0, $color-saturation, 40);
$red-45: hsl(0, $color-saturation, 45);
$red-50: hsl(0, $color-saturation, 50);
$red-55: hsl(0, $color-saturation, 55);
$red-60: hsl(0, $color-saturation, 60);
$red-65: hsl(0, $color-saturation, 65);
$red-70: hsl(0, $color-saturation, 70);
$red-75: hsl(0, $color-saturation, 75);
$red-80: hsl(0, $color-saturation, 80);
$red-85: hsl(0, $color-saturation, 85);

$yellow-05: hsl(60, $color-saturation, 05);
$yellow-10: hsl(60, $color-saturation, 10);
$yellow-15: hsl(60, $color-saturation, 15);
$yellow-20: hsl(60, $color-saturation, 20);
$yellow-25: hsl(60, $color-saturation, 25);
$yellow-30: hsl(60, $color-saturation, 30);
$yellow-35: hsl(60, $color-saturation, 35);
$yellow-40: hsl(60, $color-saturation, 40);
$yellow-45: hsl(60, $color-saturation, 45);
$yellow-50: hsl(60, $color-saturation, 50);
$yellow-55: hsl(60, $color-saturation, 55);
$yellow-60: hsl(60, $color-saturation, 60);
$yellow-65: hsl(60, $color-saturation, 65);
$yellow-70: hsl(60, $color-saturation, 70);
$yellow-75: hsl(60, $color-saturation, 75);
$yellow-80: hsl(60, $color-saturation, 80);
$yellow-85: hsl(60, $color-saturation, 85);

$green-05: hsl(120, $color-saturation, 05);
$green-10: hsl(120, $color-saturation, 10);
$green-15: hsl(120, $color-saturation, 15);
$green-20: hsl(120, $color-saturation, 20);
$green-25: hsl(120, $color-saturation, 25);
$green-30: hsl(120, $color-saturation, 30);
$green-35: hsl(120, $color-saturation, 35);
$green-40: hsl(120, $color-saturation, 40);
$green-45: hsl(120, $color-saturation, 45);
$green-50: hsl(120, $color-saturation, 50);
$green-55: hsl(120, $color-saturation, 55);
$green-60: hsl(120, $color-saturation, 60);
$green-65: hsl(120, $color-saturation, 65);
$green-70: hsl(120, $color-saturation, 70);
$green-75: hsl(120, $color-saturation, 75);
$green-80: hsl(120, $color-saturation, 80);
$green-85: hsl(120, $color-saturation, 85);
$green-90: hsl(120, $color-saturation, 90);
$green-95: hsl(120, $color-saturation, 95);

$cyan-05: hsl(180, $color-saturation, 05);
$cyan-10: hsl(180, $color-saturation, 10);
$cyan-15: hsl(180, $color-saturation, 15);
$cyan-20: hsl(180, $color-saturation, 20);
$cyan-25: hsl(180, $color-saturation, 25);
$cyan-30: hsl(180, $color-saturation, 30);
$cyan-35: hsl(180, $color-saturation, 35);
$cyan-40: hsl(180, $color-saturation, 40);
$cyan-45: hsl(180, $color-saturation, 45);
$cyan-50: hsl(180, $color-saturation, 50);
$cyan-55: hsl(180, $color-saturation, 55);
$cyan-60: hsl(180, $color-saturation, 60);
$cyan-65: hsl(180, $color-saturation, 65);
$cyan-70: hsl(180, $color-saturation, 70);
$cyan-75: hsl(180, $color-saturation, 75);
$cyan-80: hsl(180, $color-saturation, 80);
$cyan-85: hsl(180, $color-saturation, 85);
$cyan-90: hsl(180, $color-saturation, 90);
$cyan-95: hsl(180, $color-saturation, 95);

$blue-05: hsl(240, $color-saturation, 05);
$blue-10: hsl(240, $color-saturation, 10);
$blue-15: hsl(240, $color-saturation, 15);
$blue-20: hsl(240, $color-saturation, 20);
$blue-25: hsl(240, $color-saturation, 25);
$blue-30: hsl(240, $color-saturation, 30);
$blue-35: hsl(240, $color-saturation, 35);
$blue-40: hsl(240, $color-saturation, 40);
$blue-45: hsl(240, $color-saturation, 45);
$blue-50: hsl(240, $color-saturation, 50);
$blue-55: hsl(240, $color-saturation, 55);
$blue-60: hsl(240, $color-saturation, 60);
$blue-65: hsl(240, $color-saturation, 65);
$blue-70: hsl(240, $color-saturation, 70);
$blue-75: hsl(240, $color-saturation, 75);
$blue-80: hsl(240, $color-saturation, 80);
$blue-85: hsl(240, $color-saturation, 85);

$purple-05: hsl(270, $color-saturation, 05);
$purple-10: hsl(270, $color-saturation, 10);
$purple-15: hsl(270, $color-saturation, 15);
$purple-20: hsl(270, $color-saturation, 20);
$purple-25: hsl(270, $color-saturation, 25);
$purple-30: hsl(270, $color-saturation, 30);
$purple-35: hsl(270, $color-saturation, 35);
$purple-40: hsl(270, $color-saturation, 40);
$purple-45: hsl(270, $color-saturation, 45);
$purple-50: hsl(270, $color-saturation, 50);
$purple-55: hsl(270, $color-saturation, 55);
$purple-60: hsl(270, $color-saturation, 60);
$purple-65: hsl(270, $color-saturation, 65);
$purple-70: hsl(270, $color-saturation, 70);
$purple-75: hsl(270, $color-saturation, 75);
$purple-80: hsl(270, $color-saturation, 80);
$purple-85: hsl(270, $color-saturation, 85);

$black: 	#000;
$gray-1: 	#111;
$gray-2: 	#222;
$gray-3: 	#333;
$gray-4: 	#444;
$gray-5: 	#555;
$gray-6: 	#666;
$gray-7: 	#777;
$gray-8: 	#888;
$gray-9: 	#999;
$gray-a: 	#aaa;
$gray-b: 	#bbb;
$gray-c: 	#ccc;
$gray-d: 	#ddd;
$gray-e: 	#eee;
$white: 	#fff;
